# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "staticmatic"
  s.version = "0.11.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Stephen Bartholomew"]
  s.date = "2010-11-15"
  s.description = "Lightweight Static Site Framework"
  s.email = "steve@curve21.com"
  s.executables = ["staticmatic"]
  s.extra_rdoc_files = ["LICENSE", "README.markdown"]
  s.files = ["bin/staticmatic", "LICENSE", "README.markdown"]
  s.homepage = "http://staticmatic.net"
  s.require_paths = ["lib"]
  s.rubyforge_project = "staticmatic"
  s.rubygems_version = "1.8.23"
  s.summary = "Lightweight Static Site Framework"

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<haml>, [">= 2.0.0"])
      s.add_runtime_dependency(%q<rack>, [">= 1.0"])
      s.add_runtime_dependency(%q<compass>, [">= 0.10.0"])
    else
      s.add_dependency(%q<haml>, [">= 2.0.0"])
      s.add_dependency(%q<rack>, [">= 1.0"])
      s.add_dependency(%q<compass>, [">= 0.10.0"])
    end
  else
    s.add_dependency(%q<haml>, [">= 2.0.0"])
    s.add_dependency(%q<rack>, [">= 1.0"])
    s.add_dependency(%q<compass>, [">= 0.10.0"])
  end
end
